## org.eclipse.datatools.modelbase.sql.schema.impl
Class DependencyImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.DependencyImpl

All Implemented Interfaces:
  Dependency, SQLObject

public class DependencyImpl
extends SQLObjectImpl
implements Dependency

An implementation of the model object 'Dependency'.

The following features are implemented:

- `Target End`
- `Dependency Type`

See Also:
  Serialized Form

Method Summary
`EObject` `basicGetTargetEnd()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getDependencyType()`
`EObject` `getTargetEnd()`
`void` `setDependencyType(java.lang.String newDependencyType)`
`void` `setTargetEnd(EObject newTargetEnd)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, eInverseAdd, eInverseRemove, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getTargetEnd

    public EObject getTargetEnd()

  Specified by:
    `getTargetEnd` in interface `Dependency`
  Returns:
    the value of the 'Target End' reference.
  See Also:
    `Dependency.setTargetEnd(EObject)`, `SQLSchemaPackage.getDependency_TargetEnd()`

### basicGetTargetEnd

    public EObject basicGetTargetEnd()

### setTargetEnd

    public void setTargetEnd(EObject newTargetEnd)

  Specified by:
    `setTargetEnd` in interface `Dependency`
  Parameters:
    `newTargetEnd` - the new value of the 'Target End' reference.
  See Also:
    `Dependency.getTargetEnd()`

### getDependencyType

    public java.lang.String getDependencyType()

  Specified by:
    `getDependencyType` in interface `Dependency`
  Returns:
    the value of the 'Dependency Type' attribute.
  See Also:
    `Dependency.setDependencyType(String)`, `SQLSchemaPackage.getDependency_DependencyType()`

### setDependencyType

    public void setDependencyType(java.lang.String newDependencyType)

  Specified by:
    `setDependencyType` in interface `Dependency`
  Parameters:
    `newDependencyType` - the new value of the 'Dependency Type' attribute.
  See Also:
    `Dependency.getDependencyType()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.